Subject: bug#75477: 31.0.50; scratch/igc: crash on the latest commit

From: Gerd Möllmann <[email-masked]>
Date: Fri, 10 Jan 2025 18:28:59 +0100

Pip Cet <[email-masked]> writes:

>
> However, while I do see what I think are the 100 leaks after running
>
> ./src/emacs -Q --eval '(dotimes (i 100) (delete-frame (make-frame)))'
>
> they have different call chains.
>
> I'm using
>
> p global_igc->roots[0]
> while 1
> p *$.next
> end
>
> in GDB, and I was expecting the leaked roots to be among the first
> values printed.

New roots are always pushed to the front of the list, so the younger
they are, the earlier they are to be found in the list, that's right.

> Is there something obvious I'm doing wrong?  Or are we really creating
> menuitems in such a way that we usually leak one, but it's random which
> one?
>
> Pip

No idea. Are these Gtk menu items? Maybe Gtk does semothing weird? I
have no idea how Gtk works, BTW :-).